Bug 1299910 - [abrt] xorg-x11-server-Xorg: find_clip_box_for_y(): Xorg killed by SIGSEGV
[abrt] xorg-x11-server-Xorg: find_clip_box_for_y(): Xorg killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:f877420f316c9b5d3411d17c145...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-19 09:20 EST by Milan Bouchet-Valat
Modified: 2016-12-20 13:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:00:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (64.92 KB, text/plain)
2016-01-19 09:20 EST, Milan Bouchet-Valat
no flags Details
File: cgroup (200 bytes, text/plain)
2016-01-19 09:20 EST, Milan Bouchet-Valat
no flags Details
File: core_backtrace (2.92 KB, text/plain)
2016-01-19 09:20 EST, Milan Bouchet-Valat
no flags Details
File: dso_list (6.07 KB, text/plain)
2016-01-19 09:20 EST, Milan Bouchet-Valat
no flags Details
File: environ (396 bytes, text/plain)
2016-01-19 09:20 EST, Milan Bouchet-Valat
no flags Details
File: exploitable (110 bytes, text/plain)
2016-01-19 09:20 EST, Milan Bouchet-Valat
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-19 09:20 EST, Milan Bouchet-Valat
no flags Details
File: maps (58.20 KB, text/plain)
2016-01-19 09:20 EST, Milan Bouchet-Valat
no flags Details
File: mountinfo (3.84 KB, text/plain)
2016-01-19 09:20 EST, Milan Bouchet-Valat
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-19 09:20 EST, Milan Bouchet-Valat
no flags Details
File: open_fds (2.39 KB, text/plain)
2016-01-19 09:20 EST, Milan Bouchet-Valat
no flags Details
File: proc_pid_status (1.03 KB, text/plain)
2016-01-19 09:20 EST, Milan Bouchet-Valat
no flags Details
File: var_log_messages (479 bytes, text/plain)
2016-01-19 09:20 EST, Milan Bouchet-Valat
no flags Details

  None (edit)
Description Milan Bouchet-Valat 2016-01-19 09:20:27 EST
Description of problem:
Crashed when I clicked to open a spreadsheet file in LibreOffice home screen.

Version-Release number of selected component:
xorg-x11-server-Xorg-1.18.0-2.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/Xorg vt2 -displayfd 3 -auth /run/user/1000/gdm/Xauthority -nolisten tcp -background none -noreset -keeptty -verbose 3
crash_function: find_clip_box_for_y
executable:     /usr/libexec/Xorg
global_pid:     3153
kernel:         4.3.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 2 (6 frames)
 #0 find_clip_box_for_y at sna.h:1279
 #1 tor_blt_clipped at sna_trapezoids_precise.c:2240
 #2 tor_blt at sna_trapezoids_precise.c:1164
 #3 tor_render at sna_trapezoids_precise.c:1266
 #4 inplace_x8r8g8b8_thread at sna_trapezoids_precise.c:2542
 #5 __run__ at sna_threads.c:74
Comment 1 Milan Bouchet-Valat 2016-01-19 09:20:32 EST
Created attachment 1116184 [details]
File: backtrace
Comment 2 Milan Bouchet-Valat 2016-01-19 09:20:33 EST
Created attachment 1116185 [details]
File: cgroup
Comment 3 Milan Bouchet-Valat 2016-01-19 09:20:35 EST
Created attachment 1116186 [details]
File: core_backtrace
Comment 4 Milan Bouchet-Valat 2016-01-19 09:20:36 EST
Created attachment 1116187 [details]
File: dso_list
Comment 5 Milan Bouchet-Valat 2016-01-19 09:20:37 EST
Created attachment 1116188 [details]
File: environ
Comment 6 Milan Bouchet-Valat 2016-01-19 09:20:39 EST
Created attachment 1116189 [details]
File: exploitable
Comment 7 Milan Bouchet-Valat 2016-01-19 09:20:41 EST
Created attachment 1116190 [details]
File: limits
Comment 8 Milan Bouchet-Valat 2016-01-19 09:20:42 EST
Created attachment 1116191 [details]
File: maps
Comment 9 Milan Bouchet-Valat 2016-01-19 09:20:44 EST
Created attachment 1116192 [details]
File: mountinfo
Comment 10 Milan Bouchet-Valat 2016-01-19 09:20:45 EST
Created attachment 1116193 [details]
File: namespaces
Comment 11 Milan Bouchet-Valat 2016-01-19 09:20:47 EST
Created attachment 1116194 [details]
File: open_fds
Comment 12 Milan Bouchet-Valat 2016-01-19 09:20:48 EST
Created attachment 1116195 [details]
File: proc_pid_status
Comment 13 Milan Bouchet-Valat 2016-01-19 09:20:49 EST
Created attachment 1116196 [details]
File: var_log_messages
Comment 14 Fedora End Of Life 2016-11-24 10:03:29 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 13:00:30 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.